%global namedreltag -alpha-2
%global namedversion %{version}%{?namedreltag}
Name:          properties-maven-plugin
Version:       1.0
Release:       %mkrel 11.alpha2.2
Group:         Development/Java
Summary:       Properties Maven Plugin
License:       ASL 2.0
URL:           http://www.mojohaus.org/properties-maven-plugin/
# Source code available @ https://github.com/mojohaus/properties-maven-plugin
# svn export http://svn.codehaus.org/mojo/tags/properties-maven-plugin-1.0-alpha-2/
# tar czf properties-maven-plugin-1.0-alpha-2-src-svn.tar.gz properties-maven-plugin-1.0-alpha-2
Source0:       %{name}-%{namedversion}-src-svn.tar.gz
# reported @ https://github.com/mojohaus/properties-maven-plugin/issues/2
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: maven-local
BuildRequires: mvn(org.apache.maven:maven-core)
BuildRequires: mvn(org.apache.maven:maven-model)
BuildRequires: mvn(org.apache.maven:maven-plugin-api)
BuildRequires: mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires: mvn(org.codehaus.mojo:mojo-parent:pom:)
BuildRequires: mvn(org.codehaus.plexus:plexus-utils)

BuildArch:     noarch

%description
The Properties Maven Plugin is here to make life a little easier when dealing
with properties. It provides goals to read and write properties from files.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

# use maven 3.x apis
sed -i "s|maven-project|maven-core|" pom.xml

cp -p %{SOURCE1} .
sed -i 's/\r//' LICENSE-2.0.txt

%mvn_file :%{name} %{name}

%build

# no test to run
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE-2.0.txt



%changelog
* Sun Feb 28 2016 neoclust <neoclust> 1.0-11.alpha2.2.mga6
+ Revision: 980411
- First rebuild of the java stack
- sync package properties-maven-plugin with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sun Jan 11 2015 daviddavid <daviddavid> 1.0-7.mga5
+ Revision: 809983
- update BuildRequires for current mojo-parent
- rebuild against current java-stack
- fix Group

* Wed Oct 15 2014 umeabot <umeabot> 1.0-6.mga5
+ Revision: 741374
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon May 26 2014 dmorgan <dmorgan> 1.0-4.mga5
+ Revision: 626744
- Clean spec file

* Fri Oct 18 2013 umeabot <umeabot> 1.0-3.mga4
+ Revision: 517740
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0-2.mga3
+ Revision: 378243
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 28 2011 gil <gil> 1.0-1.mga2
+ Revision: 159033
- imported package properties-maven-plugin

